% Parametri sinhrone masine (Siemens 1FK7 083-5AF71-1EB0)

Pm=4; %broj pari polova

% Bazne vrednosti:
Ubm=220;
Ibm=11.6;    
w_bm=1257;
Mbm=Ubm*Ibm*Pm/w_bm;

% Parametri masine [r.j.]:
rsm=40e-3;
xdm=562.5e-3;
xqm=375e-3;
fpmm=0.94;
t_mehm=0.3;
tdm=xdm/w_bm;
tqm=xqm/w_bm;

% Parametri masine:
Rsm=rsm*Ubm/Ibm;
Ldm=tdm*Ubm/Ibm;
Lqm=tqm*Ubm/Ibm;
Fpmm=fpmm*Ubm/w_bm;
Jm=t_mehm*Pm^2*Ibm*Ubm/w_bm^2;
Lsm=(Ldm+Lqm)/2;
Lim=(Ldm-Lqm)/2;

% Pocetni uslovi:
id0m=0;
iq0m=0;
n0m=0;
teta0m=0;

% Parametri strujnih regulatora:
Tdm=tdm/rsm;
Tqm=tqm/rsm;
Tim=0.5e-3;
Kukm=1/rsm;
lambdam=500;
Kpi_dm=(1-exp(-lambdam*Tim))/Kukm/(exp(Tim/Tdm)-1);
Kii_dm=exp(Tim/Tdm)-1;
Kpi_qm=(1-exp(-lambdam*Tim))/Kukm/(exp(Tim/Tqm)-1);
Kii_qm=exp(Tim/Tqm)-1;


% Parametri brzinskog regulatora:
Twm=0.01;
Kom=fpmm*Twm/t_mehm/2;
Kpwm=0.203/Kom;
Kiwm=0.035/Kom;
Tsm=100e-6;
